Author: Christian Hammers <ch@debian.org>
Description: Skipping tests as there is no running syslog in the autobuilder
environment.
Bug-Debian: https://bugs.debian.org/262421

Author: gregor herrmann <gregoa@debian.org>
Description: remove the syslogging instead of disabling the tests

--- a/t/client.t
+++ b/t/client.t
@@ -41,12 +41,6 @@
 
     $SIG{'PIPE'} = sub { print STDERR "Got signal PIPE.\n"; };
 
-    if (defined(&Sys::Syslog::setlogsock)  &&
-	defined(&Sys::Syslog::_PATH_LOG)) {
-        Sys::Syslog::setlogsock('unix');
-    }
-    Sys::Syslog::openlog('client.t', 'pid', 'daemon');
-
     #
     #   We'd prefer to do the following as part of the Server()
     #   function. This would be fine, if we'd bind on a well
--- a/t/noStorableOo.t
+++ b/t/noStorableOo.t
@@ -42,12 +42,6 @@
 
     $SIG{'PIPE'} = sub { print STDERR "Got signal PIPE.\n"; };
 
-    if (defined(&Sys::Syslog::setlogsock)  &&
-	defined(&Sys::Syslog::_PATH_LOG)) {
-        Sys::Syslog::setlogsock('unix');
-    }
-    Sys::Syslog::openlog('client.t', 'pid', 'daemon');
-
     #
     #   We'd prefer to do the following as part of the Server()
     #   function. This would be fine, if we'd bind on a well
--- a/t/encrypt.t
+++ b/t/encrypt.t
@@ -57,12 +57,6 @@
 
     $SIG{'PIPE'} = sub { print STDERR "Got signal PIPE.\n"; };
 
-    if (defined(&Sys::Syslog::setlogsock)  &&
-	defined(&Sys::Syslog::_PATH_LOG)) {
-        Sys::Syslog::setlogsock('unix');
-    }
-    Sys::Syslog::openlog('client.t', 'pid', 'daemon');
-
     #
     #   We'd prefer to do the following as part of the Server()
     #   function. This would be fine, if we'd bind on a well
--- a/t/lib.pl
+++ b/t/lib.pl
@@ -36,7 +36,6 @@
 use RPC::pServer;
 use RPC::pClient;
 use IO::Socket();
-use Sys::Syslog();
 
 
 ############################################################################
--- a/t/noStorableOoEnc.t
+++ b/t/noStorableOoEnc.t
@@ -58,12 +58,6 @@
 
     $SIG{'PIPE'} = sub { print STDERR "Got signal PIPE.\n"; };
 
-    if (defined(&Sys::Syslog::setlogsock)  &&
-	defined(&Sys::Syslog::_PATH_LOG)) {
-        Sys::Syslog::setlogsock('unix');
-    }
-    Sys::Syslog::openlog('client.t', 'pid', 'daemon');
-
     #
     #   We'd prefer to do the following as part of the Server()
     #   function. This would be fine, if we'd bind on a well
